#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dhall
version:              1.41.2
visibility:           public
id:                   dhall-1.41.2-9nhQha6EiGQ6YE02hnJY9m
key:                  dhall-1.41.2-9nhQha6EiGQ6YE02hnJY9m
license:              BSD-3-Clause
copyright:            2017 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  40e4bebde85435b4d9073e8363e24264
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics Dhall.Parser
    Dhall.Parser.Expression Dhall.Parser.Token Dhall.Pretty Dhall.Repl
    Dhall.Schemas Dhall.Set Dhall.Src Dhall.Substitution Dhall.TH
    Dhall.Tags Dhall.Tutorial Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.Eval Dhall.Import.Types Dhall.Import.Headers
    Dhall.Marshal.Internal Dhall.Normalize Dhall.Parser.Combinators
    Dhall.Pretty.Internal Dhall.Syntax Dhall.URL Paths_dhall
    Dhall.Import.HTTP Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.2.8/site-local/dhall-1.41.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dhall-1.41.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.41.2-9nhQha6EiGQ6YE02hnJY9m
depends:
    Diff-0.4.1-5nmPulEMAVAgzITG9QbIF
    aeson-2.1.2.1-KyNubnU5CqDCJlTVwqAgSI
    aeson-pretty-0.8.9-9ckmsGRKuZYHQcGXRyFvyI
    ansi-terminal-0.11.4-Eu2fdGSzAymILWM47oV8kF
    atomic-write-0.2.0.7-8DSM080Q7GF6DG255edDuw base-4.16.4.0
    base16-bytestring-1.0.2.0-CDHI0w7Efi5DzHzbCgYcLE
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-B0pLhRajIvD72HbLxQf4Mq
    cborg-0.2.9.0-IRfVqC7svDoDB9Xf3huZWJ
    cborg-json-0.2.5.0-HezjD4YrQ0fJLVuBzFYqn1 containers-0.6.5.1
    contravariant-1.5.5-6oWUjmJNxDBFhugVD5s9dq
    cryptohash-sha256-0.11.102.1-G315BKnZiSKAbzEUxImgpI
    data-fix-0.3.2-E4b9WYC3imwETghjpGfogw deepseq-1.4.6.1
    directory-1.3.6.2 dotgen-0.4.3-GrGnAzxXk0NF0mUN2K7zar
    either-5.0.2-Ew0V6xrtkWz86FoIGdvzZn exceptions-0.10.4
    filepath-1.4.2.2 half-0.3.1-G3VnqhALCL98Rzl4uYfg8O
    hashable-1.4.3.0-48Rq6cZvfcF9tKLVrHocON haskeline-0.8.2
    http-client-0.7.15-CkBNbJ6iRJ6GfA4XHZIZ9a
    http-client-tls-0.3.6.3-IKgrHq0mBsC8WcdD5dLUVV
    http-types-0.12.3-LmBjmWiQfcVBjUb8YQ5J45
    indexed-traversable-0.1.3-FGpIpW94p9q6F7XvRCIL78
    lens-family-core-2.1.2-DfPQFPwFO71u59xMiouWS
    megaparsec-9.5.0-4C0w8B3pqiPzYMDTJvnal
    mmorph-1.2.0-86rQZSuTSAZIoeBosVXsFi mtl-2.2.2
    network-uri-2.6.4.2-3ATHWKdftS89YCXhbMcL1o
    optparse-applicative-0.17.1.0-6DI5ZH5skbFIFoCRMVOKSX
    parser-combinators-1.3.0-G0J7GFw9FY9Cgw8HeD2oK5
    parsers-0.12.11-LH7LX4RVheC8helE4KDqOK
    pretty-simple-4.1.2.0-8K7JYnpQkYSJQ0eaDc7jZs
    prettyprinter-1.7.1-Ha2Pfd4zitG4pXuw18rVOP
    prettyprinter-ansi-terminal-1.1.3-A0N16UNhrxaF6rBz3Ceoxw
    profunctors-5.6.2-97tCJxIfgcHJMjpdlcNEgo
    repline-0.4.2.0-8F4hfQj1tzA4brx66W1hS8
    scientific-0.3.7.0-8yn6PN5voMM1flnQmLpOGx
    serialise-0.2.6.1-B42PIAVy2wM1DLDSCcAth5 template-haskell-2.18.0.0
    text-1.2.5.0 text-manipulate-0.3.1.0-IbPQS2abNuU6sNASnGEsBM
    text-short-0.1.5-9X4cr2JP3JeMgQuayMYnm
    th-lift-instances-0.1.20-7ZqEXC9eSXJ7fAPT29nLsj time-1.11.1.1
    transformers-0.5.6.2
    unordered-containers-0.2.20-A1aavG4ElP69oe01g9DM2E
    uri-encode-1.5.0.7-52Yxx5s7aD167q9Os6prdy
    vector-0.13.1.0-DKvszrUMKs76cDrBLafV7a

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

